<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bPreavisosBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				
				
				
		</form-bean>
		<form-bean
				name="w83bFormNuevoPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bprovincia_alt" type="java.lang.String"/>
				<form-property name="w83bmunicipio_alt" type="java.lang.String" />
				<form-property name="w83bprovinciaOriginal_alt" type="java.lang.String"/>
				<form-property name="w83bmunicipioOriginal_alt" type="java.lang.String" />
				
				<form-property name="w83bprovinciaOriginal" type="java.lang.String"/>
				<form-property name="w83bmunicipioOriginal" type="java.lang.String" initial=""/>
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bRegManual" type="java.lang.String" initial=""/>
				
				
				<form-property name="formFile" type="org.apache.struts.upload.FormFile" />
				
				<form-property name="listaDocs" type="java.lang.String"/>
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>	
				
				<form-property name="fichaDescProvinciaOriginal" type="java.lang.String"/>
				<form-property name="fichaDescMunicipioOriginal" type="java.lang.String"/>
				<form-property name="fichaDescConvenioOriginal" type="java.lang.String"/>
		</form-bean>
		
		
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				<form-property name="nombreBean" type="java.lang.String" initial="w83bPreavisosBean,w83bPreavisosNuevoBea"/>
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqPreavisos[w83bPreavisosBean],w83bFormNuevoPreavisos[w83bPreavisosNuevoBean]"/>				   				   
				<form-property name="inyectarUsuarioEnBeanImpugnacionesAux" type="java.lang.String" initial="w83bFormBusqImpugnaciones[w83bImpugnacionBean],w83bFormNuevaImpugnacion[w83bNuevaImpugnacionBean]"/>				   
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>	
			
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.preavisos"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.preavisos"/>								
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bListResultado" type="java.util.List"/>
				
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83bDocBean" type="w83b.w83bBeans.W83bDocBean"/>								
				<form-property name="w83bPreavisosBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bPreavisosTempBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bPreavisosNuevoBeanTemp" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bPreavisoOriginal" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="preavisos"/>
				<form-property name="w83bListaCod" type="java.util.List"/>				
				<form-property name="w83bPreavisosBeanSalida" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bListaPreavisos" type="java.util.List"/>	
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" initial=""/>
				<form-property name="w83bprovincia_alt" type="java.lang.String"/>
				<form-property name="w83bmunicipio_alt" type="java.lang.String" initial=""/>
				<form-property name="w83bprovinciaOriginal_alt" type="java.lang.String"/>
				<form-property name="w83bmunicipioOriginal_alt" type="java.lang.String" initial=""/>
				<form-property name="w83bListaBorradoFilePreavisos" type="java.util.List"/>
				
				<form-property name="w83bprovinciaOriginal" type="java.lang.String"/>
				<form-property name="w83bmunicipioOriginal" type="java.lang.String" initial=""/>
				
				<form-property name="w83bMapaPreavisos" type="java.util.HashMap" />
				<form-property name="w83bMapaFilePreavisos" type="java.util.HashMap" />
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bRegManual" type="java.lang.String" initial=""/>
				
				<form-property name="listaDocs" type="java.lang.String"/>
				<form-property name="tramite" type="java.lang.String" />
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>	
				<form-property name="w83bMapaImpugnaciones" type="java.util.HashMap" />
				<form-property name="tamanyoListaResultsAux" type="java.lang.String"/>
				<form-property name="w83bSubOpFlag" type="java.lang.String" initial="preavisos"/>
				<form-property name="pestanyaPreaviso" type="java.lang.String"/>
				<form-property name="mapa" type="java.util.HashMap"/>
				<form-property name="resultadoHash" type="java.util.HashMap"/>
				
				<form-property name="fichaDescProvinciaOriginal" type="java.lang.String"/>
				<form-property name="fichaDescMunicipioOriginal" type="java.lang.String"/>
				<form-property name="fichaDescConvenioOriginal" type="java.lang.String"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		
		<action
				path ="/w83bPreavisos" forward="paginaPreavisos"/>
		
		<action
				path ="/w83bPaginaBusquedaPreavisos" forward="paginaBusquedaPreavisos"/>
		
		<action path="/w83bInicioBusquedaPreavisos" 
		name="w83bFormBusqPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bIrBusquedaPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaBusquedaPreavisos.do"/>
		</action>		
		<action
				path ="/w83bPaginaNuevoPreavisos" forward="paginaNuevoPreavisos"/>
		
		<action path="/w83bInicioNuevoPreavisos" 
		name="w83bFormBusqPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bIrNuevoPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaNuevoPreavisos.do"/>
		</action>
		<action path="/w83bInicioEdicionPreavisos" 
		name="w83bFormBusqPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bIrEdicionPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83bObtenerDetallesPreavisoOI.do"/>
			<forward name="error" path="/w83bObtenerDetallesPreavisoOI.do"/>
		</action>
		
		<action path ="/w83bObtenerDetallesPreavisoOI" 
			 parameter="w83bObtenerDetallesPreavisoOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDetallesPreavisoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
						
		<action path="/w83bDetallesPreavisoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDetallesPreavisoOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83bPaginaEdicionPreavisos.do" />
		</action>
		
		<action
				path ="/w83bPaginaEdicionPreavisos" forward="paginaEdicionPreavisos"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqPreavisos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasPreavisosBusq.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaPreavisosExcel.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bInicioNuevoPreavisos.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bInicioEdicionPreavisos.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bInicioEdicionPreavisos.do"/>
		</action>
		
		
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoPreavisos"
				input="/w83bInicioNuevoPreavisos.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPreavisosAtrasNuevoEdicion.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoPreavisos.do"/>
				<forward
					name="comun.boton.limpiar"
					path="/w83bNuevoPreavisos.do"/>
		</action>
		
		<action
				path="/w83bDispatchEdicion"
				name="w83bFormNuevoPreavisos"
				input="/w83bInicioNuevoPreavisos.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPreavisosAtrasNuevoEdicion.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bEdicionPreavisos.do"/>
				<forward
					name="comun.boton.imprimirFicha"
					path="/w83bFichaPreavisos.do"/>
				<forward
					name="comun.preavisos.boton.fichaPreOriginal"
					path="/w83bFichaPreavisoOriginal.do"/>
				<forward
					name="irImpugnaciones"
					path="/w83bPreavisosIraImpugnacionesOP.do"/>
		</action>
		
		<action
				path="/w83bDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="centroTrabajo"
					path="/w83bInicioBusquedaPreavisos.do"/>
				<forward
					name="preavisos"
					path="/w83bMovimientoPreavisos.do"/>
		</action>

		<!-- Operaciones de Paso -->
		<action path="/w83bAtrasPreavisosBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		 
		<action path="/w83bNuevoPreavisos" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bInicioNuevoPreavisos.do">
		</action> 
		
		<action path="/w83bPreavisosAtrasNuevoEdicion" 
		name="w83bFormBusqPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bPreavisosAtrasNuevoEdicionDispatch.do"/>
		</action>
	
						
		<action
				path="/w83bPreavisosAtrasNuevoEdicionDispatch"
				scope="request"
				parameter="busqRealizada"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="true"
					path="/w83bBusqPreavisosAtras.do"/>
				<forward
					name="false"
					path="/w83bInicioBusquedaPreavisos.do"/>
		</action>
		
		
		<action path="/w83bObtenerPreavisoIndiceOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bObtenerPreavisoIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83bInicioEdicionPreavisos.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path="/w83bCargarComboTiposDocumentoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargarTiposDocumentoOP" 
			 validate="false">
			<forward name="ok" path="/w83bCargaTiposDocumento.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaTiposDocumento" 
			 parameter="w83bCargaTiposDocumentoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaTiposDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaTiposDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargaTiposDocumentoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bComprobarNPreavisoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bComprobarNPreavisoOP" 
			 validate="false">
			<forward name="ok" path="/w83bComprobarNPreaviso.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bComprobarNPreaviso" 
			 parameter="w83bComprobarNPreavisoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComprobarNPreavisoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bComprobarNPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bComprobarNPreavisoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bExisteCentroPreavisoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteCentroPreavisoOP" 
			 validate="false">
			<forward name="ok" path="/w83bExisteCentroPreaviso.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bExisteCentroPreaviso" 
			 parameter="w83bExisteCentroPreavisoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteCentroPreavisoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bExisteCentroPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteCentroPreavisoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteOtroCentroPreavisoSinFechaEleccionOP" 
			 validate="false">
			<forward name="ok" path="/w83bExisteOtroCentroPreavisoSinFechaEleccion.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bExisteOtroCentroPreavisoSinFechaEleccion" 
			 parameter="w83bExisteOtroCentroPreavisoSinFechaEleccionOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteOtroCentroPreavisoSinFechaEleccionOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bValidarIntervaloEleccionSindicalCtoTrabajoOP" 
			 validate="false">
			<forward name="ok" path="/w83bValidarIntervaloEleccionSindicalCtoTrabajo.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bValidarIntervaloEleccionSindicalCtoTrabajo" 
			 parameter="w83bValidarIntervaloEleccionSindicalCtoTrabajoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bAdjuntarArchivoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bAdjuntarArchivoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenericoOutOP.do"/>
			<forward name="okVacio" path="/w83bGenericoAdjuntarOutOP.do" />
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
			<forward name="ficherovacio" path="/w83bFicheroVacioOutOP.do"/>
		</action>
		
		<action path="/w83bObtenerDocumentoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path ="/w83bDescargarDocumentoOI" 
			 parameter="w83bDescargarDocumentoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>
		
		<action path="/w83bDescargarDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		
		<action path ="/w83bAdjuntarArchivoPreavisosOI" 
			 parameter="w83bAdjuntarArchivoPreavisosOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bGenericoAdjuntarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bFicheroVacioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bFicheroVacioOutOPAction" 
			 validate="false">
		</action>		
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaPreavisosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqPreavisos.do"/>
			<forward name="ok" path="/w83bTablaPreavisosOutOP.do"/>
			<forward name="outOP" path="/w83bTablaPreavisosOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaPreavisosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bTablaPreavisosBorrar" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bPreavisosBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPreavisosBorrarOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaPreavisos.do"/>
		</action>
		
		<action path ="/w83bPreavisosBorrarOI" 
			 parameter="w83bBorrarPreavisosOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
			
		<action path="/w83bTablaPreavisosExcel" 
		name="w83bFormBusqPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosExcelAction" 
			 validate="false">
		</action>
		
		<action path="/w83bFichaPreavisos" 
		name="w83bFormNuevoPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bFichaPreavisosAction" 
			 validate="false">
		</action>
		
		<action path="/w83bFichaPreavisoOriginal" 
		name="w83bFormNuevoPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bFichaPreavisoOriginalAction" 
			 validate="false">
		</action>
		
		<action path ="/w83bObtenerDocumentoContextoOP" 
					  type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDescargarDocumentoContextoOPAction"
			 scope="request">
			<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>
		<action path="/w83bGenNumRegistroOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenNumRegistro.do"/>
		</action>
		<action path="/w83bGenNumRegistroOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionOutAction" 
			 validate="false">
		</action>
		<action path="/w83bPreavisosIraImpugnacionesOP" name="w83bFormNuevoPreavisos"  scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bPreavisosIraImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bIraImpugnacionesSubOp.do"/>
		</action>
		<action path="/w83bAntesVueltaPreavisosImpugnaciones" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bAntesVueltaPreavisosImpugnaciones" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchVueltaImpugnaciones.do"/>
		</action>
		<action
				path="/w83bDispatchVueltaImpugnaciones"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="preavisos"
					path="/w83bAntesPreavisosImpugnacionesInicio.do"/>
				<forward
					name="busqPreavisos"
					path="/w83bPreavisosAtrasNuevoEdicion.do"/>
		</action>
		<action path="/w83bAntesPreavisosImpugnacionesInicio" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bAntesPreavisosImpugnacionesInicioEdicionPreavisos" 
			 validate="false">
			<forward name="ok" path="/w83bInicioEdicionPreavisos.do"/>
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
				
		 <action path ="/w83bGenNumRegistro" 
			 parameter="w83bDarAltaRegistroNuevoNumeroEntradaDelegacionOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenNumRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaActas.do" />
		</action>
		<action path ="/w83bMovimientoPreavisos" 
			 parameter="w83bMovimientoPreavisosOI" 
			 validate="false" name="w83bFormNuevoPreavisos" 
			 input="/w83bPaginaNuevoPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionPreavisos.do" />
					<forward name="error" path="/w83bInicioNuevoPreavisos.do" />
		</action>
		
		<action path ="/w83bEdicionPreavisos" 
			 parameter="w83bEdicionPreavisosOI" 
			 validate="false" name="w83bFormNuevoPreavisos" 
			 input="/w83bInicioEdicionPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionPreavisos.do" />
					<forward name="error" path="/w83bInicioEdicionPreavisos.do" />
		</action>
		
		
		<action path ="/w83bBusqPreavisos" 
			 parameter="w83bBusqPreavisosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaPreavisosOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		
		<action path ="/w83bBusqPreavisosAtras" 
			 parameter="w83bBusqPreavisosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioBusquedaPreavisos.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		
		<action path="/w83bTablaPreavisosCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPreavisosBusqCentroTrabajo.do"/>
		</action>
		 <action path ="/w83bPreavisosBusqCentroTrabajo" 
			 parameter="w83bPreavisosBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaPreavisosCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		<action path="/w83bTablaPreavisosCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCargarCnaeCodigoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargarCnaeCodigoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCnaeCodigo.do"/>
		</action>
		
		<action path ="/w83bCargarCnaeCodigo" 
			 parameter="W83bCargarCnaeCodigoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCnaeCodigoOutOP.do" />					
		</action>
		
		<action path="/w83bCargarCnaeCodigoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargarCnaeCodigoOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaPreavisos.do" />
			<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		
		
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<action path="/w83bIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		<action path="/w83bIraCentrosTrabajoNuevoSubOp" name="w83bFormNuevoPreavisos" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		<action path="/w83bIraImpugnacionesSubOp" parameter="/impugnacionesOP/w83bSubOpImpugnacionesInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83bAntesVueltaPreavisosImpugnaciones.do" />
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/preavisos/validation-preavisos.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

</struts-config>